Inventory¶
Endpoints of the Inventory section of the iikoCloud API documentation.
Inventory.IncomingInvoices¶
An incoming invoice is a document used by a restaurant to record the receipt of goods from a supplier.
iiko.inventory.incoming_invoice.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInvoiceSaveResponse
Cancel incoming invoice draft.
POST /api/inventory/v1/incoming_invoice/cancel
Changes the incoming invoice status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInvoiceSaveResponse
|
The |
iiko.inventory.incoming_invoice.create()
async
¶
create(
*,
counteragent: str,
date: str,
items: Sequence[
IncomingInvoiceRequestItem | Mapping[str, Any]
],
organization_id: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
delivery_on_time: bool | None = None,
document_id: str | None = None,
due_date: str | None = None,
employee_pass_to_account: str | None = None,
incoming_date: str | None = None,
incoming_document_number: str | None = None,
internal_outgoing_invoice_id: str | None = None,
invoice: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
transport_invoice_number: str | None = None,
timeout: float | None = None,
) -> IncomingInvoiceSaveResponse
Create incoming invoice.
POST /api/inventory/v1/incoming_invoice/create
Creates an incoming invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[IncomingInvoiceRequestItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
delivery_on_time
|
bool | None
|
On-time delivery flag |
None
|
document_id
|
str | None
|
Document identifier (GUID) |
None
|
due_date
|
str | None
|
Payment due date |
None
|
employee_pass_to_account
|
str | None
|
Charge to employee |
None
|
incoming_date
|
str | None
|
Incoming document date (YYYY-MM-DD) |
None
|
incoming_document_number
|
str | None
|
Incoming external document number |
None
|
internal_outgoing_invoice_id
|
str | None
|
Associated outgoing invoice identifier (GUID) |
None
|
invoice
|
str | None
|
Invoice number |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
transport_invoice_number
|
str | None
|
Transport invoice number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInvoiceSaveResponse
|
The |
iiko.inventory.incoming_invoice.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInvoice
Get incoming invoice by identifier.
POST /api/inventory/v1/incoming_invoice/get
Gets an incoming invoice by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInvoice
|
The |
iiko.inventory.incoming_invoice.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[IncomingInvoice]
Export incoming invoices.
POST /api/inventory/v1/incoming_invoice/list
Exports incoming invoices for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[IncomingInvoice]
|
The |
iiko.inventory.incoming_invoice.modify.add_payment()
async
¶
add_payment(
*,
account_id: str,
amount: Decimal | float,
document_id: str,
organization_id: str,
payment_date: str,
cfo_item_id: str | None = None,
timeout: float | None = None,
) -> AccountingTransactionUserResponse
Pay incoming invoice.
POST /api/inventory/v1/incoming_invoice/modify/add_payment
Creates a payment for an incoming invoice
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
account_id
|
str
|
Account identifier (GUID) |
required |
amount
|
Decimal | float
|
Payment amount |
required |
document_id
|
str
|
Incoming invoice identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
payment_date
|
str
|
Payment date (ISO 8601, e.g. 2026-08-15T12:00:00.00+00:00) |
required |
cfo_item_id
|
str | None
|
Cash flow item identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
AccountingTransactionUserResponse
|
The |
iiko.inventory.incoming_invoice.patch.set_payment_date()
async
¶
set_payment_date(
*,
document_id: str,
organization_id: str,
payment_date: str,
timeout: float | None = None,
) -> SetPaymentDateResponse
Set payment date for incoming invoice.
POST /api/inventory/v1/incoming_invoice/patch/set_payment_date
Sets the payment date for an incoming invoice. The operation is available only for an already paid invoice (unpaid sum = 0).
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Incoming invoice identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
payment_date
|
str
|
Payment date (ISO 8601, e.g. 2026-08-15T12:00:00.00+00:00) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SetPaymentDateResponse
|
The |
iiko.inventory.incoming_invoice.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInvoiceSaveResponse
Post incoming invoice.
POST /api/inventory/v1/incoming_invoice/post
Changes the incoming invoice status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInvoiceSaveResponse
|
The |
iiko.inventory.incoming_invoice.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInvoiceSaveResponse
Unpost incoming invoice.
POST /api/inventory/v1/incoming_invoice/unpost
Changes the incoming invoice status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInvoiceSaveResponse
|
The |
iiko.inventory.incoming_invoice.update()
async
¶
update(
*,
counteragent: str,
date: str,
items: Sequence[
IncomingInvoiceRequestItem | Mapping[str, Any]
],
organization_id: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
delivery_on_time: bool | None = None,
document_id: str | None = None,
due_date: str | None = None,
employee_pass_to_account: str | None = None,
incoming_date: str | None = None,
incoming_document_number: str | None = None,
internal_outgoing_invoice_id: str | None = None,
invoice: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
transport_invoice_number: str | None = None,
timeout: float | None = None,
) -> IncomingInvoiceSaveResponse
Edit incoming invoice.
POST /api/inventory/v1/incoming_invoice/update
Updates an incoming invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[IncomingInvoiceRequestItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
delivery_on_time
|
bool | None
|
On-time delivery flag |
None
|
document_id
|
str | None
|
Document identifier (GUID) |
None
|
due_date
|
str | None
|
Payment due date |
None
|
employee_pass_to_account
|
str | None
|
Charge to employee |
None
|
incoming_date
|
str | None
|
Incoming document date (YYYY-MM-DD) |
None
|
incoming_document_number
|
str | None
|
Incoming external document number |
None
|
internal_outgoing_invoice_id
|
str | None
|
Associated outgoing invoice identifier (GUID) |
None
|
invoice
|
str | None
|
Invoice number |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
transport_invoice_number
|
str | None
|
Transport invoice number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInvoiceSaveResponse
|
The |
Inventory.OutgoingInvoices¶
An outgoing invoice is a document used by a restaurant to record the transfer of goods to a buyer or counteragent.
iiko.inventory.costings.calculate()
async
¶
calculate(
*,
date_incoming: str,
items: Sequence[PriceItem | Mapping[str, Any]],
organization_id: str,
timeout: float | None = None,
) -> GetCostPricesResponse
Get cost prices for nomenclature items.
POST /api/inventory/v1/costings/calculate
Gets cost prices for nomenclature items as of the specified date
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date_incoming
|
str
|
Date for cost price calculation (ISO8601 format, e.g. 2025-12-26T12:40:26.801+03:00) |
required |
items
|
Sequence[PriceItem | Mapping[str, Any]]
|
List of nomenclature items for cost price retrieval |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
GetCostPricesResponse
|
The |
iiko.inventory.outgoing_invoice.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> OutgoingInvoiceSaveResponse
Cancel outgoing invoice draft.
POST /api/inventory/v1/outgoing_invoice/cancel
Changes the outgoing invoice status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
OutgoingInvoiceSaveResponse
|
The |
iiko.inventory.outgoing_invoice.create()
async
¶
create(
*,
counteragent: str,
date: str,
items: Sequence[
OutgoingInvoiceRequestItem | Mapping[str, Any]
],
organization_id: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
document_id: str | None = None,
due_date: str | None = None,
expense_account: str | None = None,
internal_incoming_invoice_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
revenue_account: str | None = None,
timeout: float | None = None,
) -> OutgoingInvoiceSaveResponse
Create outgoing invoice.
POST /api/inventory/v1/outgoing_invoice/create
Creates an outgoing invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[OutgoingInvoiceRequestItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
document_id
|
str | None
|
Document identifier (GUID) |
None
|
due_date
|
str | None
|
Payment due date |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
internal_incoming_invoice_id
|
str | None
|
Associated incoming invoice identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
revenue_account
|
str | None
|
Revenue account identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
OutgoingInvoiceSaveResponse
|
The |
iiko.inventory.outgoing_invoice.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> OutgoingInvoice
Get outgoing invoice by ID.
POST /api/inventory/v1/outgoing_invoice/get
Returns an outgoing invoice by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
OutgoingInvoice
|
The |
iiko.inventory.outgoing_invoice.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[OutgoingInvoice]
Export outgoing invoices.
POST /api/inventory/v1/outgoing_invoice/list
Exports outgoing invoices for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[OutgoingInvoice]
|
The |
iiko.inventory.outgoing_invoice.modify.add_payment()
async
¶
add_payment(
*,
account_id: str,
amount: Decimal | float,
document_id: str,
organization_id: str,
payment_date: str,
cfo_item_id: str | None = None,
timeout: float | None = None,
) -> AccountingTransactionUserResponse
Pay outgoing invoice.
POST /api/inventory/v1/outgoing_invoice/modify/add_payment
Creates a payment for an outgoing invoice
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
account_id
|
str
|
Account identifier (GUID) |
required |
amount
|
Decimal | float
|
Payment amount |
required |
document_id
|
str
|
Outgoing invoice identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
payment_date
|
str
|
Payment date (ISO 8601, e.g. 2026-08-15T12:00:00.00+00:00) |
required |
cfo_item_id
|
str | None
|
Cash flow item identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
AccountingTransactionUserResponse
|
The |
iiko.inventory.outgoing_invoice.patch.set_payment_date()
async
¶
set_payment_date(
*,
document_id: str,
organization_id: str,
payment_date: str,
timeout: float | None = None,
) -> SetPaymentDateOutgoingResponse
Set payment date for outgoing invoice.
POST /api/inventory/v1/outgoing_invoice/patch/set_payment_date
Sets the payment date for an outgoing invoice. The operation is available only for an already paid invoice.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Incoming invoice identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
payment_date
|
str
|
Payment date (ISO 8601, e.g. 2026-08-15T12:00:00.00+00:00) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SetPaymentDateOutgoingResponse
|
The |
iiko.inventory.outgoing_invoice.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> OutgoingInvoiceSaveResponse
Post outgoing invoice.
POST /api/inventory/v1/outgoing_invoice/post
Changes the outgoing invoice status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
OutgoingInvoiceSaveResponse
|
The |
iiko.inventory.outgoing_invoice.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> OutgoingInvoiceSaveResponse
Unpost outgoing invoice.
POST /api/inventory/v1/outgoing_invoice/unpost
Changes the outgoing invoice status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
OutgoingInvoiceSaveResponse
|
The |
iiko.inventory.outgoing_invoice.update()
async
¶
update(
*,
counteragent: str,
date: str,
items: Sequence[
OutgoingInvoiceRequestItem | Mapping[str, Any]
],
organization_id: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
document_id: str | None = None,
due_date: str | None = None,
expense_account: str | None = None,
internal_incoming_invoice_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
revenue_account: str | None = None,
timeout: float | None = None,
) -> OutgoingInvoiceSaveResponse
Edit outgoing invoice.
POST /api/inventory/v1/outgoing_invoice/update
Updates an outgoing invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[OutgoingInvoiceRequestItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
document_id
|
str | None
|
Document identifier (GUID) |
None
|
due_date
|
str | None
|
Payment due date |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
internal_incoming_invoice_id
|
str | None
|
Associated incoming invoice identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
revenue_account
|
str | None
|
Revenue account identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
OutgoingInvoiceSaveResponse
|
The |
Inventory.ReturnedInvoice¶
A returned invoice is a document used by a restaurant to return goods to a supplier.
iiko.inventory.returned_invoice.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ReturnedInvoiceSaveResponse
Cancel returned invoice draft.
POST /api/inventory/v1/returned_invoice/cancel
Changes the returned invoice status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ReturnedInvoiceSaveResponse
|
The |
iiko.inventory.returned_invoice.create()
async
¶
create(
*,
counteragent: str,
date: str,
items: Sequence[
ReturnedInvoiceCreateItem | Mapping[str, Any]
],
organization_id: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
document_id: str | None = None,
expense_account: str | None = None,
incoming_invoice_id: str | None = None,
number: str | None = None,
timeout: float | None = None,
) -> ReturnedInvoiceSaveResponse
Create returned invoice.
POST /api/inventory/v1/returned_invoice/create
Creates a returned invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[ReturnedInvoiceCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
incoming_invoice_id
|
str | None
|
Associated incoming invoice identifier (GUID) |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ReturnedInvoiceSaveResponse
|
The |
iiko.inventory.returned_invoice.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ReturnedInvoiceGetResponse
Get returned invoice by identifier.
POST /api/inventory/v1/returned_invoice/get
Returns a returned invoice by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ReturnedInvoiceGetResponse
|
The |
iiko.inventory.returned_invoice.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[ReturnedInvoiceListItem]
Export returned invoices.
POST /api/inventory/v1/returned_invoice/list
Exports returned invoices for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[ReturnedInvoiceListItem]
|
The |
iiko.inventory.returned_invoice.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ReturnedInvoiceSaveResponse
Post returned invoice.
POST /api/inventory/v1/returned_invoice/post
Changes the returned invoice status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ReturnedInvoiceSaveResponse
|
The |
iiko.inventory.returned_invoice.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ReturnedInvoiceSaveResponse
Unpost returned invoice.
POST /api/inventory/v1/returned_invoice/unpost
Changes the returned invoice status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ReturnedInvoiceSaveResponse
|
The |
iiko.inventory.returned_invoice.update()
async
¶
update(
*,
counteragent: str,
date: str,
document_id: str,
items: Sequence[
ReturnedInvoiceCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
expense_account: str | None = None,
incoming_invoice_id: str | None = None,
timeout: float | None = None,
) -> ReturnedInvoiceSaveResponse
Edit returned invoice.
POST /api/inventory/v1/returned_invoice/update
Updates a returned invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[ReturnedInvoiceCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
incoming_invoice_id
|
str | None
|
Associated incoming invoice identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ReturnedInvoiceSaveResponse
|
The |
Inventory.IncomingReturnedInvoice¶
An incoming returned invoice is a document used by a restaurant to record the return of a previously purchased item by a customer.
iiko.inventory.incoming_returned_invoice.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingReturnedInvoiceSaveResponse
Cancel incoming returned invoice draft.
POST /api/inventory/v1/incoming_returned_invoice/cancel
Changes the incoming returned invoice status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingReturnedInvoiceSaveResponse
|
The |
iiko.inventory.incoming_returned_invoice.create()
async
¶
create(
*,
counteragent: str,
date: str,
items: Sequence[
IncomingReturnedInvoiceCreateItem
| Mapping[str, Any]
],
organization_id: str,
processing_mode: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
document_id: str | None = None,
expense_account: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
outgoing_invoice_id: str | None = None,
revenue_account: str | None = None,
timeout: float | None = None,
) -> IncomingReturnedInvoiceSaveResponse
Create incoming returned invoice.
POST /api/inventory/v1/incoming_returned_invoice/create
Creates an incoming returned invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[IncomingReturnedInvoiceCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
processing_mode
|
str
|
Processing mode (RETURN_DISH — return dish, RETURN_GOOD — return ingredients, DO_NOT_RETURN — no warehouse) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
outgoing_invoice_id
|
str | None
|
Associated outgoing invoice identifier (GUID) |
None
|
revenue_account
|
str | None
|
Revenue account identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingReturnedInvoiceSaveResponse
|
The |
iiko.inventory.incoming_returned_invoice.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingReturnedInvoiceGetResponse
Get incoming returned invoice by identifier.
POST /api/inventory/v1/incoming_returned_invoice/get
Returns an incoming returned invoice by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingReturnedInvoiceGetResponse
|
The |
iiko.inventory.incoming_returned_invoice.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[IncomingReturnedInvoiceListItem]
Export incoming returned invoices.
POST /api/inventory/v1/incoming_returned_invoice/list
Exports incoming returned invoices for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[IncomingReturnedInvoiceListItem]
|
The |
iiko.inventory.incoming_returned_invoice.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingReturnedInvoiceSaveResponse
Post incoming returned invoice.
POST /api/inventory/v1/incoming_returned_invoice/post
Changes the incoming returned invoice status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingReturnedInvoiceSaveResponse
|
The |
iiko.inventory.incoming_returned_invoice.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingReturnedInvoiceSaveResponse
Unpost incoming returned invoice.
POST /api/inventory/v1/incoming_returned_invoice/unpost
Changes the incoming returned invoice status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingReturnedInvoiceSaveResponse
|
The |
iiko.inventory.incoming_returned_invoice.update()
async
¶
update(
*,
counteragent: str,
date: str,
document_id: str,
items: Sequence[
IncomingReturnedInvoiceCreateItem
| Mapping[str, Any]
],
number: str,
organization_id: str,
processing_mode: str,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
expense_account: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
outgoing_invoice_id: str | None = None,
revenue_account: str | None = None,
timeout: float | None = None,
) -> IncomingReturnedInvoiceSaveResponse
Edit incoming returned invoice.
POST /api/inventory/v1/incoming_returned_invoice/update
Updates an incoming returned invoice from request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent
|
str
|
Counteragent identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[IncomingReturnedInvoiceCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
processing_mode
|
str
|
Processing mode (RETURN_DISH — return dish, RETURN_GOOD — return ingredients, DO_NOT_RETURN — no warehouse) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
outgoing_invoice_id
|
str | None
|
Associated outgoing invoice identifier (GUID) |
None
|
revenue_account
|
str | None
|
Revenue account identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingReturnedInvoiceSaveResponse
|
The |
Inventory.SalesDocument¶
A sales document is a document used by a restaurant to record the sale of goods while simultaneously reflecting both the inventory and financial aspects.
iiko.inventory.sales_document.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> SalesDocumentSaveResponse
Cancel sales document draft.
POST /api/inventory/v1/sales_document/cancel
Changes the sales document status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SalesDocumentSaveResponse
|
The |
iiko.inventory.sales_document.create()
async
¶
create(
*,
date: str,
items: Sequence[
SalesDocumentCreateItem | Mapping[str, Any]
],
organization_id: str,
banquet: bool | None = None,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
document_id: str | None = None,
expense_account: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
revenue_account: str | None = None,
timeout: float | None = None,
) -> SalesDocumentSaveResponse
Create sales document.
POST /api/inventory/v1/sales_document/create
Creates a new sales document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[SalesDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
banquet
|
bool | None
|
Banquet order flag. Default false. Optional |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
revenue_account
|
str | None
|
Revenue account identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SalesDocumentSaveResponse
|
The |
iiko.inventory.sales_document.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> SalesDocumentGetResponse
Get sales document.
POST /api/inventory/v1/sales_document/get
Gets a sales document by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SalesDocumentGetResponse
|
The |
iiko.inventory.sales_document.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[SalesDocumentListItem]
Export sales documents.
POST /api/inventory/v1/sales_document/list
Exports sales documents for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[SalesDocumentListItem]
|
The |
iiko.inventory.sales_document.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> SalesDocumentSaveResponse
Post sales document.
POST /api/inventory/v1/sales_document/post
Changes the sales document status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SalesDocumentSaveResponse
|
The |
iiko.inventory.sales_document.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> SalesDocumentSaveResponse
Unpost sales document.
POST /api/inventory/v1/sales_document/unpost
Changes the sales document status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SalesDocumentSaveResponse
|
The |
iiko.inventory.sales_document.update()
async
¶
update(
*,
date: str,
document_id: str,
items: Sequence[
SalesDocumentCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
banquet: bool | None = None,
comment: str | None = None,
conception: str | None = None,
default_store: str | None = None,
expense_account: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
revenue_account: str | None = None,
timeout: float | None = None,
) -> SalesDocumentSaveResponse
Edit sales document.
POST /api/inventory/v1/sales_document/update
Edits an existing sales document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[SalesDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
banquet
|
bool | None
|
Banquet order flag. Default false. Optional |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
default_store
|
str | None
|
Default store identifier (GUID) |
None
|
expense_account
|
str | None
|
Expense account identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
revenue_account
|
str | None
|
Revenue account identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
SalesDocumentSaveResponse
|
The |
Inventory.WriteoffDocument¶
A write-off document is a document used by a restaurant to record the disposal of goods from a warehouse for reasons unrelated to sales.
iiko.inventory.writeoff_document.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> WriteoffDocumentSaveResponse
Cancel write-off document draft.
POST /api/inventory/v1/writeoff_document/cancel
Changes the write-off document status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
WriteoffDocumentSaveResponse
|
The |
iiko.inventory.writeoff_document.create()
async
¶
create(
*,
date: str,
expense_account: str,
items: Sequence[
WriteoffDocumentCreateItem | Mapping[str, Any]
],
organization_id: str,
store_from: str,
comment: str | None = None,
conception: str | None = None,
document_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
timeout: float | None = None,
) -> WriteoffDocumentSaveResponse
Create write-off document.
POST /api/inventory/v1/writeoff_document/create
Creates a new write-off document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
expense_account
|
str
|
Expense account identifier (GUID) |
required |
items
|
Sequence[WriteoffDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
document_id
|
str | None
|
Document identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
WriteoffDocumentSaveResponse
|
The |
iiko.inventory.writeoff_document.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> WriteoffDocumentGetResponse
Get write-off document by identifier.
POST /api/inventory/v1/writeoff_document/get
Gets a write-off document by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
WriteoffDocumentGetResponse
|
The |
iiko.inventory.writeoff_document.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[WriteoffDocumentListItem]
Export write-off documents.
POST /api/inventory/v1/writeoff_document/list
Exports write-off documents for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[WriteoffDocumentListItem]
|
The |
iiko.inventory.writeoff_document.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> WriteoffDocumentSaveResponse
Post write-off document.
POST /api/inventory/v1/writeoff_document/post
Changes the write-off document status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
WriteoffDocumentSaveResponse
|
The |
iiko.inventory.writeoff_document.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> WriteoffDocumentSaveResponse
Unpost write-off document.
POST /api/inventory/v1/writeoff_document/unpost
Changes the write-off document status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
WriteoffDocumentSaveResponse
|
The |
iiko.inventory.writeoff_document.update()
async
¶
update(
*,
date: str,
document_id: str,
expense_account: str,
items: Sequence[
WriteoffDocumentCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
store_from: str,
comment: str | None = None,
conception: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
timeout: float | None = None,
) -> WriteoffDocumentSaveResponse
Edit write-off document.
POST /api/inventory/v1/writeoff_document/update
Edits an existing write-off document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
expense_account
|
str
|
Expense account identifier (GUID) |
required |
items
|
Sequence[WriteoffDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
WriteoffDocumentSaveResponse
|
The |
Inventory.InternalTransfer¶
An internal transfer act is a document used by a restaurant to record the movement of goods between its own warehouses.
iiko.inventory.internal_transfer.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> InternalTransferSaveResponse
Cancel internal transfer act draft.
POST /api/inventory/v1/internal_transfer/cancel
Changes the internal transfer act status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InternalTransferSaveResponse
|
The |
iiko.inventory.internal_transfer.create()
async
¶
create(
*,
date: str,
items: Sequence[
InternalTransferCreateItem | Mapping[str, Any]
],
organization_id: str,
store_from: str,
store_to: str,
comment: str | None = None,
conception: str | None = None,
document_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
timeout: float | None = None,
) -> InternalTransferSaveResponse
Create internal transfer act.
POST /api/inventory/v1/internal_transfer/create
Creates a new internal transfer act
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[InternalTransferCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InternalTransferSaveResponse
|
The |
iiko.inventory.internal_transfer.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> InternalTransferGetResponse
Get internal transfer act by identifier.
POST /api/inventory/v1/internal_transfer/get
Gets an internal transfer act by its unique identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InternalTransferGetResponse
|
The |
iiko.inventory.internal_transfer.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[InternalTransferListItem]
Export internal transfer acts.
POST /api/inventory/v1/internal_transfer/list
Gets a list of internal transfer acts for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[InternalTransferListItem]
|
The |
iiko.inventory.internal_transfer.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> InternalTransferSaveResponse
Post internal transfer act.
POST /api/inventory/v1/internal_transfer/post
Changes the internal transfer act status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InternalTransferSaveResponse
|
The |
iiko.inventory.internal_transfer.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> InternalTransferSaveResponse
Unpost internal transfer act.
POST /api/inventory/v1/internal_transfer/unpost
Changes the internal transfer act status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InternalTransferSaveResponse
|
The |
iiko.inventory.internal_transfer.update()
async
¶
update(
*,
date: str,
document_id: str,
items: Sequence[
InternalTransferCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
store_from: str,
store_to: str,
comment: str | None = None,
conception: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
timeout: float | None = None,
) -> InternalTransferSaveResponse
Edit internal transfer act.
POST /api/inventory/v1/internal_transfer/update
Edits an existing internal transfer act
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[InternalTransferCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InternalTransferSaveResponse
|
The |
Inventory.ProductionDocument¶
A production document is a document used by a restaurant to record the production process: ingredients from the warehouse are transformed into semi-finished products or finished dishes.
iiko.inventory.production_document.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ProductionDocumentSaveResponse
Cancel production document draft.
POST /api/inventory/v1/production_document/cancel
Changes the production document status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ProductionDocumentSaveResponse
|
The |
iiko.inventory.production_document.create()
async
¶
create(
*,
date: str,
items: Sequence[
ProductionDocumentCreateItem | Mapping[str, Any]
],
organization_id: str,
store_from: str,
store_to: str,
comment: str | None = None,
conception: str | None = None,
document_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
timeout: float | None = None,
) -> ProductionDocumentSaveResponse
Create production document.
POST /api/inventory/v1/production_document/create
Creates a new production document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[ProductionDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ProductionDocumentSaveResponse
|
The |
iiko.inventory.production_document.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ProductionDocumentGetResponse
Get production document.
POST /api/inventory/v1/production_document/get
Gets a production document by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ProductionDocumentGetResponse
|
The |
iiko.inventory.production_document.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[ProductionDocumentListItem]
Export production documents.
POST /api/inventory/v1/production_document/list
Exports production documents for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[ProductionDocumentListItem]
|
The |
iiko.inventory.production_document.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ProductionDocumentSaveResponse
Post production document.
POST /api/inventory/v1/production_document/post
Changes the production document status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ProductionDocumentSaveResponse
|
The |
iiko.inventory.production_document.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> ProductionDocumentSaveResponse
Unpost production document.
POST /api/inventory/v1/production_document/unpost
Changes the production document status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ProductionDocumentSaveResponse
|
The |
iiko.inventory.production_document.update()
async
¶
update(
*,
date: str,
document_id: str,
items: Sequence[
ProductionDocumentCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
store_from: str,
store_to: str,
comment: str | None = None,
conception: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
timeout: float | None = None,
) -> ProductionDocumentSaveResponse
Edit production document.
POST /api/inventory/v1/production_document/update
Edits an existing production document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[ProductionDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ProductionDocumentSaveResponse
|
The |
Inventory.DisassembleDocument¶
A disassemble document is a document used by a restaurant to record the disassembly of a composite product into components.
iiko.inventory.disassemble_document.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> DisassembleDocumentSaveResponse
Cancel disassemble document draft.
POST /api/inventory/v1/disassemble_document/cancel
Changes the disassemble document status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
DisassembleDocumentSaveResponse
|
The |
iiko.inventory.disassemble_document.create()
async
¶
create(
*,
amount: Decimal | float,
date: str,
items: Sequence[
DisassembleDocumentCreateItem | Mapping[str, Any]
],
organization_id: str,
product: str,
store_from: str,
store_to: str,
amount_unit: str | None = None,
comment: str | None = None,
conception: str | None = None,
document_id: str | None = None,
number: str | None = None,
timeout: float | None = None,
) -> DisassembleDocumentSaveResponse
Create disassemble document.
POST /api/inventory/v1/disassemble_document/create
Creates a disassemble document request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
amount
|
Decimal | float
|
Product quantity |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[DisassembleDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
product
|
str
|
Product identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
amount_unit
|
str | None
|
Unit of measure identifier (GUID) |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
DisassembleDocumentSaveResponse
|
The |
iiko.inventory.disassemble_document.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> DisassembleDocumentGetResponse
Get disassemble document by identifier.
POST /api/inventory/v1/disassemble_document/get
Returns a disassemble document by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
DisassembleDocumentGetResponse
|
The |
iiko.inventory.disassemble_document.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[DisassembleDocumentListItem]
Export disassemble documents.
POST /api/inventory/v1/disassemble_document/list
Exports disassemble documents for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[DisassembleDocumentListItem]
|
The |
iiko.inventory.disassemble_document.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> DisassembleDocumentSaveResponse
Post disassemble document.
POST /api/inventory/v1/disassemble_document/post
Changes the disassemble document status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
DisassembleDocumentSaveResponse
|
The |
iiko.inventory.disassemble_document.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> DisassembleDocumentSaveResponse
Unpost disassemble document.
POST /api/inventory/v1/disassemble_document/unpost
Changes the disassemble document status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
DisassembleDocumentSaveResponse
|
The |
iiko.inventory.disassemble_document.update()
async
¶
update(
*,
amount: Decimal | float,
date: str,
document_id: str,
items: Sequence[
DisassembleDocumentCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
product: str,
store_from: str,
store_to: str,
amount_unit: str | None = None,
comment: str | None = None,
conception: str | None = None,
timeout: float | None = None,
) -> DisassembleDocumentSaveResponse
Edit disassemble document.
POST /api/inventory/v1/disassemble_document/update
Updates a disassemble document request parameters
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
amount
|
Decimal | float
|
Product quantity |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[DisassembleDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
product
|
str
|
Product identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
amount_unit
|
str | None
|
Unit of measure identifier (GUID) |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
DisassembleDocumentSaveResponse
|
The |
Inventory.TransformationDocument¶
A transformation document is a document used by a restaurant to record the production of a specific product from a set of explicitly specified ingredients.
iiko.inventory.transformation_document.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> TransformationDocumentSaveResponse
Cancel transformation document draft.
POST /api/inventory/v1/transformation_document/cancel
Changes the transformation document status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
TransformationDocumentSaveResponse
|
The |
iiko.inventory.transformation_document.create()
async
¶
create(
*,
amount: Decimal | float,
amount_unit: str,
date: str,
items: Sequence[
TransformationDocumentCreateItem | Mapping[str, Any]
],
organization_id: str,
product: str,
store_from: str,
store_to: str,
assembly_chart_writeoff: bool | None = None,
comment: str | None = None,
conception: str | None = None,
document_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
timeout: float | None = None,
) -> TransformationDocumentSaveResponse
Create transformation document.
POST /api/inventory/v1/transformation_document/create
Creates a new transformation document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
amount
|
Decimal | float
|
Product quantity |
required |
amount_unit
|
str
|
Unit of measure identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[TransformationDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
product
|
str
|
Product identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
assembly_chart_writeoff
|
bool | None
|
See the API reference. |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
document_id
|
str | None
|
See the API reference. |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
TransformationDocumentSaveResponse
|
The |
iiko.inventory.transformation_document.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> TransformationDocumentGetResponse
Get transformation document.
POST /api/inventory/v1/transformation_document/get
Gets a transformation document by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
TransformationDocumentGetResponse
|
The |
iiko.inventory.transformation_document.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[TransformationDocumentListItem]
List transformation documents.
POST /api/inventory/v1/transformation_document/list
Returns a list of transformation documents for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[TransformationDocumentListItem]
|
The |
iiko.inventory.transformation_document.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> TransformationDocumentSaveResponse
Post transformation document.
POST /api/inventory/v1/transformation_document/post
Changes the transformation document status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
TransformationDocumentSaveResponse
|
The |
iiko.inventory.transformation_document.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> TransformationDocumentSaveResponse
Unpost transformation document.
POST /api/inventory/v1/transformation_document/unpost
Changes the transformation document status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
TransformationDocumentSaveResponse
|
The |
iiko.inventory.transformation_document.update()
async
¶
update(
*,
amount: Decimal | float,
amount_unit: str,
date: str,
document_id: str,
items: Sequence[
TransformationDocumentCreateItem | Mapping[str, Any]
],
number: str,
organization_id: str,
product: str,
store_from: str,
store_to: str,
assembly_chart_writeoff: bool | None = None,
comment: str | None = None,
conception: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
timeout: float | None = None,
) -> TransformationDocumentSaveResponse
Edit transformation document.
POST /api/inventory/v1/transformation_document/update
Edits an existing transformation document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
amount
|
Decimal | float
|
Product quantity |
required |
amount_unit
|
str
|
Unit of measure identifier (GUID) |
required |
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[TransformationDocumentCreateItem | Mapping[str, Any]]
|
List of document items |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
product
|
str
|
Product identifier (GUID) |
required |
store_from
|
str
|
Write-off store identifier (GUID) |
required |
store_to
|
str
|
Receipt store identifier (GUID) |
required |
assembly_chart_writeoff
|
bool | None
|
See the API reference. |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
TransformationDocumentSaveResponse
|
The |
Inventory.IncomingInventory¶
iiko.inventory.incoming_inventory.cancel()
async
¶
cancel(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInventorySaveResponse
Cancel inventory draft.
POST /api/inventory/v1/incoming_inventory/cancel
Changes the inventory status from NEW to CANCELED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInventorySaveResponse
|
The |
iiko.inventory.incoming_inventory.create()
async
¶
create(
*,
date: str,
items: Sequence[
IncomingInventoryCreateItem | Mapping[str, Any]
],
items_first_step: Sequence[
IncomingInventoryCreateFirstStepItem
| Mapping[str, Any]
],
organization_id: str,
store: str,
account_shortage: str | None = None,
account_surplus: str | None = None,
comment: str | None = None,
conception: str | None = None,
document_id: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
number: str | None = None,
timeout: float | None = None,
) -> IncomingInventorySaveResponse
Create inventory.
POST /api/inventory/v1/incoming_inventory/create
Loads an inventory document: records the actual quantity of goods in the store and generates a variance report comparing the recorded and actual balances. It lets the restaurant automate stock reconciliation without manual entry: the integrator submits the actual quantity for each item, and the system compares it with the recorded balances and determines surpluses and shortages.
The document is created with the "Draft" status and does not affect balances until it is posted. To record the variances in accounting, post the document with a separate method (post); the draft can be edited (update) or canceled (cancel).
Attention! This method loads an already prepared (final) inventory document. The method does not break dishes and preparations down into ingredients: the integrator calculates the composition of the items independently using separate methods and submits the ready-made rows. If a dish is written off using the "Ingredients" method, all ingredients must be loaded manually according to the technical and technological card.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
items
|
Sequence[IncomingInventoryCreateItem | Mapping[str, Any]]
|
Main inventory items (second step / all products). Must contain at least one element |
required |
items_first_step
|
Sequence[IncomingInventoryCreateFirstStepItem | Mapping[str, Any]]
|
First step items (dishes, preparations, modifiers). Can be an empty array |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store
|
str
|
Inventory store identifier (GUID) |
required |
account_shortage
|
str | None
|
Shortage account identifier (GUID). Default 07926ff3-9319-b93e-80ff-1897825fdead |
None
|
account_surplus
|
str | None
|
Surplus account identifier (GUID). Default 67af8bc9-628f-2124-2345-3750bb7db6fa |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
document_id
|
str | None
|
Document identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
number
|
str | None
|
Document number |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInventorySaveResponse
|
The |
iiko.inventory.incoming_inventory.get()
async
¶
get(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInventoryGetResponse
Get inventory.
POST /api/inventory/v1/incoming_inventory/get
Gets an inventory document by identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInventoryGetResponse
|
The |
iiko.inventory.incoming_inventory.list()
async
¶
list(
*,
from_: str,
organization_id: str,
to: str,
timeout: float | None = None,
) -> list[IncomingInventoryListItem]
Export inventories.
POST /api/inventory/v1/incoming_inventory/list
Exports inventory documents for the specified period
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
from_
|
str
|
Period start date (YYYY-MM-DD format) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
to
|
str
|
Period end date (YYYY-MM-DD format) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[IncomingInventoryListItem]
|
The |
iiko.inventory.incoming_inventory.post()
async
¶
post(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInventorySaveResponse
Post inventory.
POST /api/inventory/v1/incoming_inventory/post
Changes the inventory status from NEW to PROCESSED
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInventorySaveResponse
|
The |
iiko.inventory.incoming_inventory.unpost()
async
¶
unpost(
*,
document_id: str,
organization_id: str,
timeout: float | None = None,
) -> IncomingInventorySaveResponse
Unpost inventory.
POST /api/inventory/v1/incoming_inventory/unpost
Changes the inventory status from PROCESSED to NEW
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
document_id
|
str
|
Document identifier (GUID) |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInventorySaveResponse
|
The |
iiko.inventory.incoming_inventory.update()
async
¶
update(
*,
date: str,
document_id: str,
items: Sequence[
IncomingInventoryCreateItem | Mapping[str, Any]
],
items_first_step: Sequence[
IncomingInventoryCreateFirstStepItem
| Mapping[str, Any]
],
number: str,
organization_id: str,
store: str,
account_shortage: str | None = None,
account_surplus: str | None = None,
comment: str | None = None,
conception: str | None = None,
is_automatic: bool | None = None,
is_editable: bool | None = None,
timeout: float | None = None,
) -> IncomingInventorySaveResponse
Edit inventory.
POST /api/inventory/v1/incoming_inventory/update
Edits an existing inventory document
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
date
|
str
|
Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm) |
required |
document_id
|
str
|
Document identifier (GUID) |
required |
items
|
Sequence[IncomingInventoryCreateItem | Mapping[str, Any]]
|
Main inventory items (second step / all products). Must contain at least one element |
required |
items_first_step
|
Sequence[IncomingInventoryCreateFirstStepItem | Mapping[str, Any]]
|
First step items (dishes, preparations, modifiers). Can be an empty array |
required |
number
|
str
|
Document number |
required |
organization_id
|
str
|
Organization identifier (GUID) |
required |
store
|
str
|
Inventory store identifier (GUID) |
required |
account_shortage
|
str | None
|
Shortage account identifier (GUID). Default 07926ff3-9319-b93e-80ff-1897825fdead |
None
|
account_surplus
|
str | None
|
Surplus account identifier (GUID). Default 67af8bc9-628f-2124-2345-3750bb7db6fa |
None
|
comment
|
str | None
|
Comment |
None
|
conception
|
str | None
|
Concept identifier (GUID) |
None
|
is_automatic
|
bool | None
|
Automatic document creation flag |
None
|
is_editable
|
bool | None
|
Editable flag. true — available for editing |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
IncomingInventorySaveResponse
|
The |
Inventory.Counteragents¶
iiko.inventory.counteragents.list()
async
¶
list(
*,
limit: int | None = None,
offset: int | None = None,
organization_id: str | None = None,
type: Sequence[str] | None = None,
timeout: float | None = None,
) -> GetCounteragentsResponse
Get counteragents list.
POST /api/inventory/v1/counteragents/list
Gets a list of counteragents with pagination and type filtering support
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
limit
|
int | None
|
Number of records to return (1-500) |
None
|
offset
|
int | None
|
Pagination offset |
None
|
organization_id
|
str | None
|
Organization identifier (GUID) |
None
|
type
|
Sequence[str] | None
|
Counteragent type (supplier, employee, client) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
GetCounteragentsResponse
|
The |
iiko.inventory.counteragents.pricelist.list()
async
¶
list(
*, counteragent_id: str, timeout: float | None = None
) -> GetPriceListResponse
Get supplier price list.
POST /api/inventory/v1/counteragents/pricelist/list
Gets a supplier's full price list. The counteragent must be a supplier. Returns the currently active price list
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counteragent_id
|
str
|
Counteragent identifier (GUID). The counteragent must be a supplier |
required |
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
GetPriceListResponse
|
The |
Inventory.Organizations¶
iiko.inventory.organizations.settings.list()
async
¶
list(
*, timeout: float | None = None
) -> CorporationSettings
Get corporation settings.
POST /api/inventory/v1/organizations/settings/list
Returns the Corporation settings (money precision, VAT accounting, distribution algorithm, etc.)
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
CorporationSettings
|
The |
iiko.inventory.organizations.tree()
async
¶
Get terminal groups list.
POST /api/inventory/v1/organizations/tree
Returns the list of terminal groups with points-of-sale and restaurant sections
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
list[JurPerson]
|
The |
iiko.inventory.stores.list()
async
¶
list(
*,
filters: Sequence[FilterCondition | Mapping[str, Any]]
| None = None,
limit: int | None = None,
offset: int | None = None,
timeout: float | None = None,
) -> StoreListResponse
Get stores list.
POST /api/inventory/v1/stores/list
Returns the list of stores with optional filtering and pagination
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
filters
|
Sequence[FilterCondition | Mapping[str, Any]] | None
|
Filter conditions (AND-combined) |
None
|
limit
|
int | None
|
Maximum number of records (0 = no limit) |
None
|
offset
|
int | None
|
Number of records to skip |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
StoreListResponse
|
The |
Inventory.Catalogs¶
iiko.inventory.accounting_categories.get()
async
¶
get(
*, id: str | None = None, timeout: float | None = None
) -> AccountingCategory
Get accounting category by ID.
POST /api/inventory/v1/accounting_categories/get
Returns a single accounting category by its identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
id
|
str | None
|
Entity identifier (UUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
AccountingCategory
|
The |
iiko.inventory.accounting_categories.list()
async
¶
list(
*,
is_deleted: bool | None = None,
limit: int | None = None,
offset: int | None = None,
revision: int | None = None,
timeout: float | None = None,
) -> AccountingCategoryListResponse
Get accounting categories list.
POST /api/inventory/v1/accounting_categories/list
Returns the list of accounting categories with optional filtering by isDeleted and revision, and pagination
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
is_deleted
|
bool | None
|
Filter by deletion status; omit to return all records |
None
|
limit
|
int | None
|
Maximum number of records (0 = no limit) |
None
|
offset
|
int | None
|
Number of records to skip |
None
|
revision
|
int | None
|
Return only records with revision >= this value |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
AccountingCategoryListResponse
|
The |
iiko.inventory.conceptions.get()
async
¶
get(
*, id: str | None = None, timeout: float | None = None
) -> Conception
Get conception by ID.
POST /api/inventory/v1/conceptions/get
Returns a single conception by its identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
id
|
str | None
|
Entity identifier (UUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
Conception
|
The |
iiko.inventory.conceptions.list()
async
¶
list(
*,
is_deleted: bool | None = None,
limit: int | None = None,
offset: int | None = None,
revision: int | None = None,
timeout: float | None = None,
) -> ConceptionListResponse
Get conceptions list.
POST /api/inventory/v1/conceptions/list
Returns the list of conceptions with optional filtering by isDeleted and revision, and pagination
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
is_deleted
|
bool | None
|
Filter by deletion status; omit to return all records |
None
|
limit
|
int | None
|
Maximum number of records (0 = no limit) |
None
|
offset
|
int | None
|
Number of records to skip |
None
|
revision
|
int | None
|
Return only records with revision >= this value |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
ConceptionListResponse
|
The |
iiko.inventory.measure_units.get()
async
¶
get(
*, id: str | None = None, timeout: float | None = None
) -> MeasureUnit
Get measure unit by ID.
POST /api/inventory/v1/measure_units/get
Returns a single measure unit by its identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
id
|
str | None
|
Entity identifier (UUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
MeasureUnit
|
The |
iiko.inventory.measure_units.list()
async
¶
list(
*,
is_deleted: bool | None = None,
limit: int | None = None,
offset: int | None = None,
revision: int | None = None,
timeout: float | None = None,
) -> MeasureUnitListResponse
Get measure units list.
POST /api/inventory/v1/measure_units/list
Returns the list of measure units with optional filtering by isDeleted and revision, and pagination
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
is_deleted
|
bool | None
|
Filter by deletion status; omit to return all records |
None
|
limit
|
int | None
|
Maximum number of records (0 = no limit) |
None
|
offset
|
int | None
|
Number of records to skip |
None
|
revision
|
int | None
|
Return only records with revision >= this value |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
MeasureUnitListResponse
|
The |
iiko.inventory.payment_types.get()
async
¶
get(
*, id: str | None = None, timeout: float | None = None
) -> InventoryPaymentType
Get payment type by ID.
POST /api/inventory/v1/payment_types/get
Returns a single payment type by its identifier
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
id
|
str | None
|
Entity identifier (UUID) |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
InventoryPaymentType
|
The |
iiko.inventory.payment_types.list()
async
¶
list(
*,
is_deleted: bool | None = None,
limit: int | None = None,
offset: int | None = None,
revision: int | None = None,
timeout: float | None = None,
) -> PaymentTypeListResponse
Get payment types list.
POST /api/inventory/v1/payment_types/list
Returns the list of payment types with optional filtering by isDeleted and revision, and pagination
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
is_deleted
|
bool | None
|
Filter by deletion status; omit to return all records |
None
|
limit
|
int | None
|
Maximum number of records (0 = no limit) |
None
|
offset
|
int | None
|
Number of records to skip |
None
|
revision
|
int | None
|
Return only records with revision >= this value |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
PaymentTypeListResponse
|
The |
Inventory.StockBalance¶
iiko.inventory.stock_balance.list()
async
¶
list(
*,
balance_at: str,
limit: int | None = None,
offset: int | None = None,
organization_id: str | None = None,
product_group_ids: Sequence[str] | None = None,
product_ids: Sequence[str] | None = None,
should_include_details: bool | None = None,
store_ids: Sequence[str] | None = None,
timeout: float | None = None,
) -> StockBalanceListResponse
Get stock balances by stores.
POST /api/inventory/v1/stock_balance/list
Returns the sparse list of non-zero quantity and/or cost balances of products by stores for one organization at a given moment, with optional current details
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
balance_at
|
str
|
Balance calculation moment in RFC 3339 format; timezone offset is optional (UTC when absent); returned unchanged in the response |
required |
limit
|
int | None
|
Maximum number of rows in the page, from 1 to 1000; default 50 |
None
|
offset
|
int | None
|
Number of rows to skip; non-negative; default 0 |
None
|
organization_id
|
str | None
|
Organization identifier (GUID) |
None
|
product_group_ids
|
Sequence[str] | None
|
Product group identifiers (GUID); products of these groups are included recursively with subgroups. Non-empty unique array of up to 1000 items |
None
|
product_ids
|
Sequence[str] | None
|
Product identifiers (GUID); if absent — all products with non-zero balances. Non-empty unique array of up to 1000 items |
None
|
should_include_details
|
bool | None
|
Flag to include current reference details for the response rows; default false |
None
|
store_ids
|
Sequence[str] | None
|
Store identifiers (GUID); if absent — all organization stores. Non-empty unique array of up to 1000 items |
None
|
timeout
|
float | None
|
Server-side timeout in seconds ( |
None
|
Returns:
| Type | Description |
|---|---|
StockBalanceListResponse
|
The |